using System;
using System.Collections.Generic;
using System.Text;
using System.Linq;

using ArtOfTest.Common.UnitTesting;
using ArtOfTest.WebAii.Core;
using ArtOfTest.WebAii.Controls.HtmlControls;
using ArtOfTest.WebAii.Controls.HtmlControls.HtmlAsserts;
using ArtOfTest.WebAii.Design;
using ArtOfTest.WebAii.Design.Execution;
using ArtOfTest.WebAii.ObjectModel;
using ArtOfTest.WebAii.Silverlight;
using ArtOfTest.WebAii.Silverlight.UI;
using Telerik.TestingFramework.Controls.KendoUI;
using Telerik.WebAii.Controls.Html;
using Telerik.WebAii.Controls.Xaml;
using System.Reflection;

using System.Configuration;
using System.ServiceModel.Configuration;

namespace AppConfigTestProject
{
    public class ReadAppConfig : BaseWebAiiTest
    {
        #region [ Dynamic Pages Reference ]

        private Pages _pages;

        /// <summary>
        /// Gets the Pages object that has references
        /// to all the elements, frames or regions
        /// in this project.
        /// </summary>
        public Pages Pages
        {
            get
            {
                if (_pages == null)
                {
                    _pages = new Pages(Manager.Current);
                }
                return _pages;
            }
        }

        #endregion

        public override void OnBeforeTestStarted(BeforeTestStartedArgs args)
        {
            base.OnBeforeTestStarted(args);
        }
        [CodedStep(@"New Coded Step")]
        public void ReadAppConfig_CodedStep()
        {
            Assembly me = Assembly.GetExecutingAssembly();
            Configuration config = ConfigurationManager.OpenExeConfiguration(me.Location);

            ServiceModelSectionGroup serviceModel = (ServiceModelSectionGroup)config.SectionGroups["system.serviceModel"];
            ServiceEndpointElement endpoint= serviceModel.Services.Services[0].Endpoints[0];

            string url = config.AppSettings.Settings["LoginPageUrl"].Value;
            string name = config.AppSettings.Settings["LoginName"].Value;
            string pw = config.AppSettings.Settings["Pass"].Value;
            string UserId = config.AppSettings.Settings["UserId"].Value;

            string conn = config.ConnectionStrings.ConnectionStrings["ConnectionString"].ConnectionString;
        }
    }
}
